package hu.se.app09;

/**
 * Class under test.
 */
public class GeometryApp {

	private MathLib mathLib;

	public GeometryApp(MathLib mathLib) {
		this.mathLib = mathLib;
	}

	/**
	 * Calculates the area enclosed by a circle.
	 * 
	 * @param radius
	 *            the radius of the circle
	 * @return area enclosed by the circle with the given radius
	 */
	public double areaEnclosedByCircle(double radius) {
		radius = Math.abs(radius);
		double area = this.mathLib.getPi() * Math.pow(radius, 2.0);
		// round area to two decimal places (Nachkommastellen)
		return Math.round(area * 100.0) / 100.0;
	}

	/**
	 * Calculate the length of the diagonals of a square.
	 * 
	 * @param squareSideLength
	 *            length of the sides of the square
	 * @return length of the diagonals of the square with the given side length
	 */
	public double diagonalLengthOfSquare(double squareSideLength) {
		squareSideLength = Math.abs(squareSideLength);
		double diagonalLength = squareSideLength * this.mathLib.getPythagorasConstant();
		// round diagonalLength to two decimal places (Nachkommastellen)
		return Math.round(diagonalLength * 100.0) / 100.0;
	}

}
