package hu.se.app14;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Converts time between time zones.
 */
public class TimeZoneConverter {

	private DateFormat formatter = new SimpleDateFormat("HH:mm");

	public String CETtoUTC(String time) {
		try {
			Date date = this.formatter.parse(time);
			long oneHourInMS = 60 * 60 * 1000;
			long utc = date.getTime() - oneHourInMS;
			Date utcDate = new Date(utc);
			return this.formatter.format(utcDate);
		} catch (ParseException e) {
			return "ERROR";
		}
	}

	public String CETtoJST(String time) {
		try {
			Date date = this.formatter.parse(time);
			long eightHourInMS = 8 * 60 * 60 * 1000;
			long jst = date.getTime() + eightHourInMS;
			Date jstDate = new Date(jst);
			return this.formatter.format(jstDate);
		} catch (ParseException e) {
			return "ERROR";
		}
	}
	

}
